Bug 184876 - games/xinvaders: Fix build with clang
Summary: games/xinvaders: Fix build with clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pawel Pekala
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-16 18:10 UTC by tkato432
Modified: 2013-12-26 13:20 UTC (History)
0 users

See Also:


Attachments
file.diff (9.53 KB, patch)
2013-12-16 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-12-16 18:10:21 UTC
- Fix build with clang
- Add DESKTOP_ENTRIES

New file:
files/patch-main.c

Remove file:
files/patch-aa
Comment 1 Pawel Pekala freebsd_committer 2013-12-25 15:07:03 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pawel

I'll take it.
Comment 2 dfilter service freebsd_committer 2013-12-25 17:10:28 UTC
Author: pawel
Date: Wed Dec 25 17:10:20 2013
New Revision: 337432
URL: http://svnweb.freebsd.org/changeset/ports/337432

Log:
  - Fix build with clang [1]
  - Add desktop entry file [1]
  - Support staging [1]
  - Save highscores in /var/games
  
  PR:		ports/184876 [1]
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Added:
  head/games/xinvaders/files/patch-main.c   (contents, props changed)
Deleted:
  head/games/xinvaders/files/patch-aa
Modified:
  head/games/xinvaders/Makefile
  head/games/xinvaders/pkg-plist   (contents, props changed)

Modified: head/games/xinvaders/Makefile
==============================================================================
--- head/games/xinvaders/Makefile	Wed Dec 25 16:53:53 2013	(r337431)
+++ head/games/xinvaders/Makefile	Wed Dec 25 17:10:20 2013	(r337432)
@@ -3,36 +3,37 @@
 
 PORTNAME=	xinvaders
 PORTVERSION=	2.1.1
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	games
-MASTER_SITES=	${MASTER_SITE_SUNSITE}
-MASTER_SITE_SUBDIR=	games/arcade/invaders
+MASTER_SITES=	SUNSITE/games/arcade/invaders
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Shoot-em-up them nasty little bugs
 
-ONLY_FOR_ARCHS=	i386
-
 NO_CDROM=	don't sell for profit
 
 USES=		gettext
 USE_XORG=	x11 xmu xaw xt
-USE_AUTOTOOLS=	automake14 autoconf213
-AUTOMAKE_ARGS=	--include-deps
-CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib -lintl"
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--enable-scorefile=/var/games/xinvaders.scores
+
 CPPFLAGS+=	-I${LOCALBASE}/include
-CONFIGURE_ARGS=	--enable-scorefile=${PREFIX}/share/xinvaders/xinvaders.scores
+LDFLAGS+=	-L${LOCALBASE}/lib -lintl
+
+DESKTOP_ENTRIES="XInvaders" "Space Invaders game for X" \
+		"${PREFIX}/share/pixmaps/${PORTNAME}.xpm" "${PORTNAME}" "" ""
 
-MAN6=		xinvaders.6
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|$$(prefix)/games|$$(prefix)/bin| ; \
+		 /install-exec-am:/s|install-exec-local|| ; \
+		 /install-data-am:/s|install-data-local||' ${WRKSRC}/Makefile.in
 
-NO_STAGE=	yes
 post-install:
-	${INSTALL_DATA} ${FILESDIR}/Vaders.ad ${PREFIX}/lib/X11/app-defaults/Vaders
-	@${MKDIR} ${PREFIX}/share/xinvaders
-	@${ECHO_CMD} '0' > ${PREFIX}/share/xinvaders/xinvaders.scores
-	@${CHOWN} root:games ${PREFIX}/bin/xinvaders
-	@${CHMOD} 2555 ${PREFIX}/bin/xinvaders
-	@${CHOWN} root:games ${PREFIX}/share/xinvaders/xinvaders.scores
-	@${CHMOD} 0660 ${PREFIX}/share/xinvaders/xinvaders.scores
+	(cd ${FILESDIR} && ${INSTALL_DATA} Vaders.ad \
+		${STAGEDIR}${PREFIX}/lib/X11/app-defaults/Vaders)
+	(cd ${WRKSRC} && ${INSTALL_DATA} icon.xpm \
+		${STAGEDIR}${PREFIX}/share/pixmaps/${PORTNAME}.xpm)
+	@${MKDIR} ${STAGEDIR}${DATADIR}
 
 .include <bsd.port.mk>

Added: head/games/xinvaders/files/patch-main.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/xinvaders/files/patch-main.c	Wed Dec 25 17:10:20 2013	(r337432)
@@ -0,0 +1,122 @@
+--- main.c.orig
++++ main.c
+@@ -38,55 +38,6 @@
+     {"-debug",	"*debug",	XrmoptionNoArg,	NULL},
+ };
+ 
+-static XtResource resources[] = {
+-    {XtNwidth, XtCWidth, XtRInt, sizeof(int),
+-	 (Cardinal)&width, XtRImmediate, (caddr_t) VWIDTH},
+-    {XtNheight, XtCHeight, XtRInt, sizeof(int),
+-	 (Cardinal)&height, XtRImmediate, (caddr_t) VHEIGHT},
+-    {"debug", "Debug", XtRBoolean, sizeof(Boolean),
+-	 (Cardinal)&debug, XtRString, "off"},
+-    {"font", "Font", XtRString, sizeof(String),
+-	 (Cardinal)&vaderfont, XtRString, (String)"9x15"},
+-    {"scale", "Scale", XtRInt, sizeof(int),
+-	 (Cardinal)&scale, XtRImmediate, (caddr_t) 2},
+-    {"basewait", "BaseWait", XtRInt, sizeof(int),
+-	 (Cardinal)&basewait, XtRImmediate, (caddr_t) 10},
+-    {"vaderwait", "VaderWait", XtRInt, sizeof(int),
+-	 (Cardinal)&vaderwait, XtRImmediate, (caddr_t) 300},
+-    {"spacerwait", "SpacerWait", XtRInt, sizeof(int),
+-	 (Cardinal)&spacerwait, XtRImmediate, (caddr_t) 50},
+-    {"shotwait", "ShotWait", XtRInt, sizeof(int),
+-	 (Cardinal)&shotwait, XtRImmediate, (caddr_t) 10},
+-    {"vshotwait", "VshotWait", XtRInt, sizeof(int),
+-	 (Cardinal)&vshotwait, XtRImmediate, (caddr_t) 30},
+-    {"basecolor", "BaseColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&basepixel, XtRString, "cyan"},
+-    {"spacercolor", "SpacerColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&spacerpixel, XtRString, "gray"},
+-    {"buildingcolor", "BuildingColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&buildingpixel, XtRString, "yellow"},
+-    {"vader1color", "Vader1Color", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vader1pixel, XtRString, "blue"},
+-    {"vader2color", "Vader2Color", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vader2pixel, XtRString, "green"},
+-    {"vader3color", "Vader3Color", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vader3pixel, XtRString, "red"},
+-    {"shotcolor", "ShotColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&shotpixel, XtRString, "lavender"},
+-    {"vshotcolor", "VshotColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vshotpixel, XtRString, "orange"},
+-    {"scorecolor", "ScoreColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&scorepixel, XtRString, "white"},
+-    {"maxshots", "MaxShots", XtRInt, sizeof(int),
+-	 (Cardinal) &maxshots, XtRImmediate, (caddr_t) 1},
+-    {"maxvshots", "MaxVshots", XtRInt, sizeof(int),
+-	 (Cardinal) &maxvshots, XtRImmediate, (caddr_t) 6},
+-    {"defaultfore", "DefaultFore", XtRPixel, sizeof(Pixel),
+-	 (Cardinal) &defaultfore, XtRString, "white"},
+-    {"defaultback", "DefaultBack", XtRPixel, sizeof(Pixel),
+-	 (Cardinal) &defaultback, XtRString, "black"},
+-};
+-
+ 
+ /*ARGSUSED*/
+ static void CvtStringToFloat(args, num_args, fromVal, toVal)
+@@ -141,13 +92,62 @@
+   return w;
+ }
+ 
+-int main(Cardinal argc, char **argv)
++int main(int argc, char **argv)
+ {
+   static Arg args[10];
+   int n;
+   Widget form, button;
+   /* extern WidgetClass labelwidgetclass; */
+ 
++  XtResource resources[] = {
++    {XtNwidth, XtCWidth, XtRInt, sizeof(int),
++	 (Cardinal)&width, XtRImmediate, (caddr_t) VWIDTH},
++    {XtNheight, XtCHeight, XtRInt, sizeof(int),
++	 (Cardinal)&height, XtRImmediate, (caddr_t) VHEIGHT},
++    {"debug", "Debug", XtRBoolean, sizeof(Boolean),
++	 (Cardinal)&debug, XtRString, "off"},
++    {"font", "Font", XtRString, sizeof(String),
++	 (Cardinal)&vaderfont, XtRString, (String)"9x15"},
++    {"scale", "Scale", XtRInt, sizeof(int),
++	 (Cardinal)&scale, XtRImmediate, (caddr_t) 2},
++    {"basewait", "BaseWait", XtRInt, sizeof(int),
++	 (Cardinal)&basewait, XtRImmediate, (caddr_t) 10},
++    {"vaderwait", "VaderWait", XtRInt, sizeof(int),
++	 (Cardinal)&vaderwait, XtRImmediate, (caddr_t) 300},
++    {"spacerwait", "SpacerWait", XtRInt, sizeof(int),
++	 (Cardinal)&spacerwait, XtRImmediate, (caddr_t) 50},
++    {"shotwait", "ShotWait", XtRInt, sizeof(int),
++	 (Cardinal)&shotwait, XtRImmediate, (caddr_t) 10},
++    {"vshotwait", "VshotWait", XtRInt, sizeof(int),
++	 (Cardinal)&vshotwait, XtRImmediate, (caddr_t) 30},
++    {"basecolor", "BaseColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&basepixel, XtRString, "cyan"},
++    {"spacercolor", "SpacerColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&spacerpixel, XtRString, "gray"},
++    {"buildingcolor", "BuildingColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&buildingpixel, XtRString, "yellow"},
++    {"vader1color", "Vader1Color", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vader1pixel, XtRString, "blue"},
++    {"vader2color", "Vader2Color", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vader2pixel, XtRString, "green"},
++    {"vader3color", "Vader3Color", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vader3pixel, XtRString, "red"},
++    {"shotcolor", "ShotColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&shotpixel, XtRString, "lavender"},
++    {"vshotcolor", "VshotColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vshotpixel, XtRString, "orange"},
++    {"scorecolor", "ScoreColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&scorepixel, XtRString, "white"},
++    {"maxshots", "MaxShots", XtRInt, sizeof(int),
++	 (Cardinal) &maxshots, XtRImmediate, (caddr_t) 1},
++    {"maxvshots", "MaxVshots", XtRInt, sizeof(int),
++	 (Cardinal) &maxvshots, XtRImmediate, (caddr_t) 6},
++    {"defaultfore", "DefaultFore", XtRPixel, sizeof(Pixel),
++	 (Cardinal) &defaultfore, XtRString, "white"},
++    {"defaultback", "DefaultBack", XtRPixel, sizeof(Pixel),
++	 (Cardinal) &defaultback, XtRString, "black"},
++};
++
+   setlocale(LC_ALL, "");
+   textdomain(PACKAGE);
+ 

Modified: head/games/xinvaders/pkg-plist
==============================================================================
--- head/games/xinvaders/pkg-plist	Wed Dec 25 16:53:53 2013	(r337431)
+++ head/games/xinvaders/pkg-plist	Wed Dec 25 17:10:20 2013	(r337432)
@@ -1,5 +1,12 @@
+@group games
+@mode 2555
 bin/xinvaders
+@mode
+@group
 lib/X11/app-defaults/Vaders
+man/man6/xinvaders.6.gz
 share/locale/es/LC_MESSAGES/xinvaders.mo
-share/xinvaders/xinvaders.scores
-@dirrm share/xinvaders
+share/pixmaps/xinvaders.xpm
+@exec if [ ! -e /var/games/xinvaders.scores ]; then echo "0" > /var/games/xinvaders.scores; fi
+@exec chmod 0660 /var/games/xinvaders.scores
+@exec chgrp games /var/games/xinvaders.scores
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Pawel Pekala freebsd_committer 2013-12-25 17:10:32 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 4 dfilter service freebsd_committer 2013-12-26 13:15:59 UTC
Author: mat
Date: Thu Dec 26 13:15:50 2013
New Revision: 337500
URL: http://svnweb.freebsd.org/changeset/ports/337500

Log:
  MFH: r337432
  
  - Fix build with clang [1]
  - Add desktop entry file [1]
  - Support staging [1]
  - Save highscores in /var/games
  
  PR:		ports/184876 [1]
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>
  Approved by:	portmgr (implicit)

Added:
  branches/2014Q1/games/xinvaders/files/patch-main.c
     - copied unchanged from r337432, head/games/xinvaders/files/patch-main.c
Deleted:
  branches/2014Q1/games/xinvaders/files/patch-aa
Modified:
  branches/2014Q1/games/xinvaders/Makefile
  branches/2014Q1/games/xinvaders/pkg-plist   (contents, props changed)
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/games/xinvaders/Makefile
==============================================================================
--- branches/2014Q1/games/xinvaders/Makefile	Thu Dec 26 13:15:41 2013	(r337499)
+++ branches/2014Q1/games/xinvaders/Makefile	Thu Dec 26 13:15:50 2013	(r337500)
@@ -3,36 +3,37 @@
 
 PORTNAME=	xinvaders
 PORTVERSION=	2.1.1
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	games
-MASTER_SITES=	${MASTER_SITE_SUNSITE}
-MASTER_SITE_SUBDIR=	games/arcade/invaders
+MASTER_SITES=	SUNSITE/games/arcade/invaders
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Shoot-em-up them nasty little bugs
 
-ONLY_FOR_ARCHS=	i386
-
 NO_CDROM=	don't sell for profit
 
 USES=		gettext
 USE_XORG=	x11 xmu xaw xt
-USE_AUTOTOOLS=	automake14 autoconf213
-AUTOMAKE_ARGS=	--include-deps
-CONFIGURE_ENV=	LIBS="-L${LOCALBASE}/lib -lintl"
+GNU_CONFIGURE=	yes
+CONFIGURE_ARGS=	--enable-scorefile=/var/games/xinvaders.scores
+
 CPPFLAGS+=	-I${LOCALBASE}/include
-CONFIGURE_ARGS=	--enable-scorefile=${PREFIX}/share/xinvaders/xinvaders.scores
+LDFLAGS+=	-L${LOCALBASE}/lib -lintl
+
+DESKTOP_ENTRIES="XInvaders" "Space Invaders game for X" \
+		"${PREFIX}/share/pixmaps/${PORTNAME}.xpm" "${PORTNAME}" "" ""
 
-MAN6=		xinvaders.6
+post-patch:
+	@${REINPLACE_CMD} -e \
+		's|$$(prefix)/games|$$(prefix)/bin| ; \
+		 /install-exec-am:/s|install-exec-local|| ; \
+		 /install-data-am:/s|install-data-local||' ${WRKSRC}/Makefile.in
 
-NO_STAGE=	yes
 post-install:
-	${INSTALL_DATA} ${FILESDIR}/Vaders.ad ${PREFIX}/lib/X11/app-defaults/Vaders
-	@${MKDIR} ${PREFIX}/share/xinvaders
-	@${ECHO_CMD} '0' > ${PREFIX}/share/xinvaders/xinvaders.scores
-	@${CHOWN} root:games ${PREFIX}/bin/xinvaders
-	@${CHMOD} 2555 ${PREFIX}/bin/xinvaders
-	@${CHOWN} root:games ${PREFIX}/share/xinvaders/xinvaders.scores
-	@${CHMOD} 0660 ${PREFIX}/share/xinvaders/xinvaders.scores
+	(cd ${FILESDIR} && ${INSTALL_DATA} Vaders.ad \
+		${STAGEDIR}${PREFIX}/lib/X11/app-defaults/Vaders)
+	(cd ${WRKSRC} && ${INSTALL_DATA} icon.xpm \
+		${STAGEDIR}${PREFIX}/share/pixmaps/${PORTNAME}.xpm)
+	@${MKDIR} ${STAGEDIR}${DATADIR}
 
 .include <bsd.port.mk>

Copied: branches/2014Q1/games/xinvaders/files/patch-main.c (from r337432, head/games/xinvaders/files/patch-main.c)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/games/xinvaders/files/patch-main.c	Thu Dec 26 13:15:50 2013	(r337500, copy of r337432, head/games/xinvaders/files/patch-main.c)
@@ -0,0 +1,122 @@
+--- main.c.orig
++++ main.c
+@@ -38,55 +38,6 @@
+     {"-debug",	"*debug",	XrmoptionNoArg,	NULL},
+ };
+ 
+-static XtResource resources[] = {
+-    {XtNwidth, XtCWidth, XtRInt, sizeof(int),
+-	 (Cardinal)&width, XtRImmediate, (caddr_t) VWIDTH},
+-    {XtNheight, XtCHeight, XtRInt, sizeof(int),
+-	 (Cardinal)&height, XtRImmediate, (caddr_t) VHEIGHT},
+-    {"debug", "Debug", XtRBoolean, sizeof(Boolean),
+-	 (Cardinal)&debug, XtRString, "off"},
+-    {"font", "Font", XtRString, sizeof(String),
+-	 (Cardinal)&vaderfont, XtRString, (String)"9x15"},
+-    {"scale", "Scale", XtRInt, sizeof(int),
+-	 (Cardinal)&scale, XtRImmediate, (caddr_t) 2},
+-    {"basewait", "BaseWait", XtRInt, sizeof(int),
+-	 (Cardinal)&basewait, XtRImmediate, (caddr_t) 10},
+-    {"vaderwait", "VaderWait", XtRInt, sizeof(int),
+-	 (Cardinal)&vaderwait, XtRImmediate, (caddr_t) 300},
+-    {"spacerwait", "SpacerWait", XtRInt, sizeof(int),
+-	 (Cardinal)&spacerwait, XtRImmediate, (caddr_t) 50},
+-    {"shotwait", "ShotWait", XtRInt, sizeof(int),
+-	 (Cardinal)&shotwait, XtRImmediate, (caddr_t) 10},
+-    {"vshotwait", "VshotWait", XtRInt, sizeof(int),
+-	 (Cardinal)&vshotwait, XtRImmediate, (caddr_t) 30},
+-    {"basecolor", "BaseColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&basepixel, XtRString, "cyan"},
+-    {"spacercolor", "SpacerColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&spacerpixel, XtRString, "gray"},
+-    {"buildingcolor", "BuildingColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&buildingpixel, XtRString, "yellow"},
+-    {"vader1color", "Vader1Color", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vader1pixel, XtRString, "blue"},
+-    {"vader2color", "Vader2Color", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vader2pixel, XtRString, "green"},
+-    {"vader3color", "Vader3Color", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vader3pixel, XtRString, "red"},
+-    {"shotcolor", "ShotColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&shotpixel, XtRString, "lavender"},
+-    {"vshotcolor", "VshotColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&vshotpixel, XtRString, "orange"},
+-    {"scorecolor", "ScoreColor", XtRPixel, sizeof(Pixel),
+-	 (Cardinal)&scorepixel, XtRString, "white"},
+-    {"maxshots", "MaxShots", XtRInt, sizeof(int),
+-	 (Cardinal) &maxshots, XtRImmediate, (caddr_t) 1},
+-    {"maxvshots", "MaxVshots", XtRInt, sizeof(int),
+-	 (Cardinal) &maxvshots, XtRImmediate, (caddr_t) 6},
+-    {"defaultfore", "DefaultFore", XtRPixel, sizeof(Pixel),
+-	 (Cardinal) &defaultfore, XtRString, "white"},
+-    {"defaultback", "DefaultBack", XtRPixel, sizeof(Pixel),
+-	 (Cardinal) &defaultback, XtRString, "black"},
+-};
+-
+ 
+ /*ARGSUSED*/
+ static void CvtStringToFloat(args, num_args, fromVal, toVal)
+@@ -141,13 +92,62 @@
+   return w;
+ }
+ 
+-int main(Cardinal argc, char **argv)
++int main(int argc, char **argv)
+ {
+   static Arg args[10];
+   int n;
+   Widget form, button;
+   /* extern WidgetClass labelwidgetclass; */
+ 
++  XtResource resources[] = {
++    {XtNwidth, XtCWidth, XtRInt, sizeof(int),
++	 (Cardinal)&width, XtRImmediate, (caddr_t) VWIDTH},
++    {XtNheight, XtCHeight, XtRInt, sizeof(int),
++	 (Cardinal)&height, XtRImmediate, (caddr_t) VHEIGHT},
++    {"debug", "Debug", XtRBoolean, sizeof(Boolean),
++	 (Cardinal)&debug, XtRString, "off"},
++    {"font", "Font", XtRString, sizeof(String),
++	 (Cardinal)&vaderfont, XtRString, (String)"9x15"},
++    {"scale", "Scale", XtRInt, sizeof(int),
++	 (Cardinal)&scale, XtRImmediate, (caddr_t) 2},
++    {"basewait", "BaseWait", XtRInt, sizeof(int),
++	 (Cardinal)&basewait, XtRImmediate, (caddr_t) 10},
++    {"vaderwait", "VaderWait", XtRInt, sizeof(int),
++	 (Cardinal)&vaderwait, XtRImmediate, (caddr_t) 300},
++    {"spacerwait", "SpacerWait", XtRInt, sizeof(int),
++	 (Cardinal)&spacerwait, XtRImmediate, (caddr_t) 50},
++    {"shotwait", "ShotWait", XtRInt, sizeof(int),
++	 (Cardinal)&shotwait, XtRImmediate, (caddr_t) 10},
++    {"vshotwait", "VshotWait", XtRInt, sizeof(int),
++	 (Cardinal)&vshotwait, XtRImmediate, (caddr_t) 30},
++    {"basecolor", "BaseColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&basepixel, XtRString, "cyan"},
++    {"spacercolor", "SpacerColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&spacerpixel, XtRString, "gray"},
++    {"buildingcolor", "BuildingColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&buildingpixel, XtRString, "yellow"},
++    {"vader1color", "Vader1Color", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vader1pixel, XtRString, "blue"},
++    {"vader2color", "Vader2Color", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vader2pixel, XtRString, "green"},
++    {"vader3color", "Vader3Color", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vader3pixel, XtRString, "red"},
++    {"shotcolor", "ShotColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&shotpixel, XtRString, "lavender"},
++    {"vshotcolor", "VshotColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&vshotpixel, XtRString, "orange"},
++    {"scorecolor", "ScoreColor", XtRPixel, sizeof(Pixel),
++	 (Cardinal)&scorepixel, XtRString, "white"},
++    {"maxshots", "MaxShots", XtRInt, sizeof(int),
++	 (Cardinal) &maxshots, XtRImmediate, (caddr_t) 1},
++    {"maxvshots", "MaxVshots", XtRInt, sizeof(int),
++	 (Cardinal) &maxvshots, XtRImmediate, (caddr_t) 6},
++    {"defaultfore", "DefaultFore", XtRPixel, sizeof(Pixel),
++	 (Cardinal) &defaultfore, XtRString, "white"},
++    {"defaultback", "DefaultBack", XtRPixel, sizeof(Pixel),
++	 (Cardinal) &defaultback, XtRString, "black"},
++};
++
+   setlocale(LC_ALL, "");
+   textdomain(PACKAGE);
+ 

Modified: branches/2014Q1/games/xinvaders/pkg-plist
==============================================================================
--- branches/2014Q1/games/xinvaders/pkg-plist	Thu Dec 26 13:15:41 2013	(r337499)
+++ branches/2014Q1/games/xinvaders/pkg-plist	Thu Dec 26 13:15:50 2013	(r337500)
@@ -1,5 +1,12 @@
+@group games
+@mode 2555
 bin/xinvaders
+@mode
+@group
 lib/X11/app-defaults/Vaders
+man/man6/xinvaders.6.gz
 share/locale/es/LC_MESSAGES/xinvaders.mo
-share/xinvaders/xinvaders.scores
-@dirrm share/xinvaders
+share/pixmaps/xinvaders.xpm
+@exec if [ ! -e /var/games/xinvaders.scores ]; then echo "0" > /var/games/xinvaders.scores; fi
+@exec chmod 0660 /var/games/xinvaders.scores
+@exec chgrp games /var/games/xinvaders.scores
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"